TermPositionVector (Lucene 2.4.1 API)
Keywords: org.apache.lucene.index.TermPositionVector interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Interface TermPositionVector

All Superinterfaces:
  TermFreqVector

All Known Implementing Classes:
  InstantiatedTermPositionVector

    public interface TermPositionVector

extends TermFreqVector

Extends `TermFreqVector` to provide additional information about positions in which each of the terms is found. A TermPositionVector not necessarily contains both positions and offsets, but at least one of these arrays exists.

Method Summary
`TermVectorOffsetInfo[]` | `getOffsets(int index)` Returns an array of TermVectorOffsetInfo in which the term is found.
`int[]` | `getTermPositions(int index)` Returns an array of positions in which the term is found.

Methods inherited from interface org.apache.lucene.index.TermFreqVector
`getField, getTermFrequencies, getTerms, indexesOf, indexOf, size`

Method Detail

### getTermPositions

    int[] getTermPositions(int index)

  Returns an array of positions in which the term is found. Terms are identified by the index at which its number appears in the term String array obtained from the `indexOf` method. May return null if positions have not been stored.

### getOffsets

    TermVectorOffsetInfo[] getOffsets(int index)

  Returns an array of TermVectorOffsetInfo in which the term is found. May return null if offsets have not been stored.

  Parameters:
    `index` - The position in the array to get the offsets from
  Returns:
    An array of TermVectorOffsetInfo objects or the empty list
  See Also:
    `Token`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.